Get sync
curl --request GET \
--url https://api.chift.eu/syncs/{syncid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chift.eu/syncs/{syncid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chift.eu/syncs/{syncid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chift.eu/syncs/{syncid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.chift.eu/syncs/{syncid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.chift.eu/syncs/{syncid}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chift.eu/syncs/{syncid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"name": "<string>",
"connections": [
{
"one_api": 123,
"connection_type": 123,
"display_order": 0,
"display_hidden": false
}
],
"syncid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"consumers": [
"<string>"
],
"flows": [
{
"name": "<string>",
"id": "<string>",
"description": "<string>",
"execution": {
"type": "code",
"data": {
"name": "<string>"
}
},
"config": {
"datastores": []
},
"triggers": [
{
"id": "<string>",
"type": "timer",
"cronschedules": [
"<string>"
],
"visible": true,
"definitionFields": [
{}
],
"options": {},
"priority": "NORMAL"
}
]
}
],
"config": {},
"mappings": []
}{
"message": "The sync does not exist",
"status": "error"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Syncs
Get sync
Returns the sync matching the given ID.
GET
/
syncs
/
{syncid}
Get sync
curl --request GET \
--url https://api.chift.eu/syncs/{syncid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chift.eu/syncs/{syncid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chift.eu/syncs/{syncid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chift.eu/syncs/{syncid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.chift.eu/syncs/{syncid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.chift.eu/syncs/{syncid}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chift.eu/syncs/{syncid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"name": "<string>",
"connections": [
{
"one_api": 123,
"connection_type": 123,
"display_order": 0,
"display_hidden": false
}
],
"syncid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"consumers": [
"<string>"
],
"flows": [
{
"name": "<string>",
"id": "<string>",
"description": "<string>",
"execution": {
"type": "code",
"data": {
"name": "<string>"
}
},
"config": {
"datastores": []
},
"triggers": [
{
"id": "<string>",
"type": "timer",
"cronschedules": [
"<string>"
],
"visible": true,
"definitionFields": [
{}
],
"options": {},
"priority": "NORMAL"
}
]
}
],
"config": {},
"mappings": []
}{
"message": "The sync does not exist",
"status": "error"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Learn more:
Authorizations
This access token needs to be included in each of your request to the Chift API.
Path Parameters
Query Parameters
Filters the consumers listed on each sync. 'enabled' keeps the consumers who enabled at least one default flow of the sync (the dashboard's 'enabled' status), 'not_enabled' keeps the other linked consumers. Defaults to 'all'.
Available options:
all, enabled, not_enabled Response
Successful Response
Minimum string length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes